.timeline {
  opacity: 1;
  $parent: &;

  position: relative;

  padding: map-get($mobile, space-lg) 0;

  @include breakpoint($medium) {
    padding: map-get($desktop, space-lg) 0;
  }

  .head {
    max-width: 550px;
    width: 100%;
    display: block;
    margin: 0 auto;
  }

  &__items {
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    position: relative;

    @include breakpoint($medium) {
      padding-top: 4rem;
    }
  }

  $timelineColour: $color-pistachio;

  &__item {
    background-color: #fff;
    border-radius: 10px;
    padding: $global-padding-mobile $global-padding-mobile 50px;
    flex: 0 1 100%;
    //position: relative;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
    margin-bottom: 3rem;
    margin-left: 30px;
    position: relative;

    @include breakpoint($medium) {
      margin: 0;
    }

    &:before {
      content: "";
      display: block;
      position: absolute;
      left: -30px;
      width: 1px;
      height: calc(50% - 18px);
      top: 0;
      background: $timelineColour;

      @include breakpoint($medium) {
        display: none;
      }
    }

    &:after {
      content: "";
      display: block;
      position: absolute;
      left: -30px;
      width: 1px;
      height: calc(50% + 3rem - 18px);
      top: calc(50% + 18px);
      background: $timelineColour;

      @include breakpoint($medium) {
        left: calc(50% + 15px);
        top: -38px;
        width: 100%;
        height: 1px;
      }
    }

    .timeline__item__speech {
      display: block;
      position: absolute;
      top: 50%;
      left: -23px;
      transform: translateY(-50%);
      width: 23px;
      height: 40px;
      background: url("./images/flourish/timeline-speech-mark.png") 0 0
        no-repeat;
      background-size: cover;

      @include breakpoint($medium) {
        left: 50%;
        top: -31px;
        transform: translateX(-50%) rotate(90deg);
      }
    }

    .timeline__item__marker {
      border: 1px solid $timelineColour;
      border-radius: 50%;
      width: 15px;
      height: 15px;
      position: absolute;
      left: -37px;
      top: 50%;
      transform: translateY(-50%);

      @include breakpoint($medium) {
        top: -45px;
        left: 50%;
        transform: translateX(-50%);
      }

      .icon {
        width: 7px;
        height: 10px;
        position: absolute;
        top: 60%;
        left: 50%;
        transform: translateX(-50%) translateY(-50%);

        @include breakpoint($medium) {
          left: 65%;
          top: 52%;
          transform: translateX(-50%) translateY(-50%) rotate(-90deg);
        }

        svg {
          width: 100%;
          position: absolute;
        }
      }
    }

    @include breakpoint($medium) {
      flex: 0 0 auto;
      width: calc((100% - (2rem * 3)) / 4);
      padding: $global-padding-desktop $global-padding-desktop
        $global-padding-box-desktop $global-padding-desktop;
    }

    .timeline__item__image {
      margin-bottom: 1rem;
      display: block;
      img {
        display: block;
        margin: 0 auto;
      }
    }

    .timeline__item__label {
      font-family: $font-muli;
      color: $link-color;
      border-bottom: 1px solid $border-color;
      padding-bottom: 1rem;
      @include rhythm(15, 20);
    }

    .timeline__item__text {
      color: $color-heading;
      margin: 0;
      @include font-archer-book;
      @include rhythm(22, 24);
    }

    &:first-child {
      &:before {
        display: none;
      }
    }

    &:last-child {
      margin-bottom: 0;

      &:after {
        display: none;

        @include breakpoint($medium) {
          display: block;
          background: linear-gradient(
            to right,
            #cddc29 0%,
            rgba(205, 220, 41, 0) 100%
          );
        }
      }
    }
  }

  @include breakpoint($medium) {
    &--1 {
      #{$parent}__items {
        max-width: 280px;
      }

      #{$parent}__item {
        width: 100%;
      }
    }

    &--2 {
      #{$parent}__items {
        max-width: 600px;
      }

      #{$parent}__item {
        width: calc((100% - (2rem * 1)) / 2);
      }
    }

    &--3 {
      #{$parent}__items {
        max-width: 916px;
      }

      #{$parent}__item {
        width: calc((100% - (2rem * 2)) / 3);
      }
    }
  }

  &__more {
    display: block;
    width: 40px;
    height: 40px;
    background: $link-color;
    color: #fff;
    border-radius: 50%;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 50%);
    transition: background linear 400ms;
    -webkit-appearance: none;
    border: 0;
    font-size: 0;
    cursor: pointer;

    &:before {
      content: "";
      display: block;
      position: absolute;
      width: 10px;
      height: 1px;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      background: #fff;
    }
    &:after {
      content: "";
      display: block;
      position: absolute;
      width: 1px;
      height: 10px;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      background: #fff;
    }

    &:hover,
    &:focus {
      background: $link-color-hover;
      outline: none;
    }
  }
}
